// create web audio api audioCtx
var audioCtx;

// Oscillator and gain nodes
var oscNode;
var gainNode;

function initWebAudio()
{
    // Create audio container
    audioCtx = new (window.AudioContext || window.webkitAudioContext)();

    // NOW INITIALIZE THE WAVE TABLE
    initWaveTable();
}

function initWaveTable()
{
    var SAMPLE_SIZE = 4096;
    var real = new Float32Array([0,0.4,0.4,1,1,1,0.3,0.7,0.6,0.5,0.9,0.8]);
    var imag = new Float32Array(real.length);
    periodicWave = audioCtx.createPeriodicWave(real, imag);
    var oscNode = audioCtx.createOscillator();
    oscNode.setPeriodicWave(periodicWave);
    oscNode.type = 0;
    oscNode.noteOn(0);
    gainNode = audioCtx.createGain();
    gainNode.gain.value = 0.5;
    oscNode.connect(gainNode);
}

function startOsc() {
    gainNode.connect(audioCtx.destination);
}

function stopOsc() {
    gainNode.disconnect();
}

function changeFrequency(value) {
    oscNode.frequency.value = value;
}

function changeVolume(value) {
    gainNode.gain.value = value;
}
